from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XLabeledDataSequence(XInterface, Protocol):
    def getValues(self) -> XDataSequence: ...
    def setValues(self, xSequence: XDataSequence) -> None: ...
    def getLabel(self) -> XDataSequence: ...
    def setLabel(self, xSequence: XDataSequence) -> None: ...
